Name:           perl-Moose-Policy
Summary:        Police your project/company-wide Moose policies
Version:        0.04
Release:        2%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Moose-Policy-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/Moose-Policy/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Build) >= 0.35
BuildRequires:  perl(Moose) >= 0.84
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(Test::Pod)

Requires:       perl(Moose) >= 0.84


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module allows you to specify your project-wide or even company-wide
Moose meta-policy.

Most all of Moose's features can be customized through the use of custom
metaclasses, however fiddling with the metaclasses can be hairy. Moose::Policy
removes most of that hairiness and makes it possible to cleanly contain a set
of meta-level customizations in one easy to use module.

This is an early release of this module and it should not be considered to be
complete by any means. It is very basic implemenation at this point and will
likely get more feature-full over time, as people request features. So if you
have a suggestion/need/idea, please speak up.

%prep
%setup -q -n Moose-Policy-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-2
- Mass rebuild with perl-5.12.0

* Sun Mar 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.04)
- altered br on perl(Module::Build) (0 => 0.35)
- altered br on perl(Moose) (0.20 => 0.84)
- altered br on perl(Test::More) (0 => 0.62)
- force-adding ExtUtils::MakeMaker as a BR
- dropped old BR on perl(Test::Pod::Coverage)
- added a new req on perl(Moose) (version 0.84)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-2
- rebuild for new perl

* Mon Apr 16 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update to 0.03

* Mon Nov 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-2
- bump

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- Specfile autogenerated by cpanspec 1.69.1.
